Skip to main content
GET
/
v3
/
job-role-assignments
Retrieve job role assignments
curl --request GET \
  --url https://api.ctrl-hub.com/v3/job-role-assignments \
  --header 'X-Session-Token: <api-key>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "<string>",
      "meta": {
        "created_at": "2023-11-07T05:31:56Z",
        "type": "<string>"
      },
      "relationships": {
        "user": {
          "data": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "type": "<string>"
          }
        },
        "role": {
          "data": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "type": "<string>"
          }
        }
      }
    }
  ],
  "meta": {
    "pagination": {
      "counts": {
        "pages": 123,
        "resources": 123
      },
      "current_page": 123,
      "offsets": {
        "next": 123,
        "previous": 123
      },
      "requested": {
        "limit": 123,
        "offset": 123
      }
    },
    "features": {
      "include": {
        "options": [
          "<string>"
        ]
      }
    }
  },
  "jsonapi": {
    "version": "<string>"
  },
  "included": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "<string>",
      "attributes": {
        "name": "<string>",
        "description": "<string>",
        "job_role_type": "<string>",
        "qualifications": {
          "optional": [
            "<string>"
          ],
          "required": [
            "<string>"
          ]
        }
      },
      "meta": {
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "deleted_at": "2023-11-07T05:31:56Z"
      },
      "relationships": {
        "organisation": {
          "data": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "type": "<string>"
          }
        }
      }
    }
  ]
}

Authorizations

X-Session-Token
string
header
required

Session token for authentication.

Query Parameters

limit
integer<int64>
default:100

Limit the number of resources returned by the API

Required range: x >= 1
offset
integer<int64>
default:0

Offset the resources returned by the API

Required range: x >= 0
include
enum<string>[]

A comma separated list of related resources to include.

Available options:
organisation,
role,
user
filter
string
default:""

Filters the response data based on the value provided.

Available filters:

  • user: Filter assignments by user ID(s)
  • role: Filter assignments by job role ID(s)
  • type: Filter assignments by type (e.g., main_layer)

For more information on using named filters, see the docs

Response

Get a list of job role assignments.

JSON API response object

data
A list of job role assignments · object[]
required
meta
object
required
jsonapi
object
required
included
object[]

Related resources that can be included when a job role assignment is returned

An internal job role